Update user
Update a user’s profile information such as name, contact fields, and role assignments. Requires appropriate administrative permissions.
PUT
/
api
/
v1
/
users
/
{id}
Update user
curl --request PUT \
--url https://uat.gateway.verify-group.io/api/v1/users/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'X-Tenant-ID: <x-tenant-id>' \
--data '
{
"firstName": "<string>",
"lastName": "<string>",
"userName": "<string>",
"defaultAccountId": "<string>"
}
'import requests
url = "https://uat.gateway.verify-group.io/api/v1/users/{id}"
payload = {
"firstName": "<string>",
"lastName": "<string>",
"userName": "<string>",
"defaultAccountId": "<string>"
}
headers = {
"X-Tenant-ID": "<x-tenant-id>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {
'X-Tenant-ID': '<x-tenant-id>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
firstName: '<string>',
lastName: '<string>',
userName: '<string>',
defaultAccountId: '<string>'
})
};
fetch('https://uat.gateway.verify-group.io/api/v1/users/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
⌘I
Update user
